var serverSystem = server.registerSystem(0, 0);

var globalVars = { tick: 0 };

serverSystem.initialize = function () {
    globalVars.viewAllEntities = this.registerQuery();
};

serverSystem.update = function () {
    globalVars.tick = globalVars.tick + 1;
    if (globalVars.tick === 20) {
        let allEntities = serverSystem.getEntitiesFromQuery(globalVars.viewAllEntities);
        let size = allEntities.length;
        for (let index = 0; index < size; ++index) {
            if (allEntities[index].__identifier__ === "minecraft:player") {
                let nameComponent = this.createComponent(allEntities[index], "minecraft:nameable");
                let healthComponent = this.createComponent(allEntities[index], "minecraft:health");
                if (nameComponent.name.includes("\n")) {
                    nameComponent.name = (nameComponent.name.split("\n")[0]) + "\n" + healthComponent.value + "/" + healthComponent.max;
                    this.applyComponentChanges(allEntities[index], nameComponent)
                } else {
                    nameComponent.name = nameComponent.name + "\n" + healthComponent.value + "/" + healthComponent.max;
                    this.applyComponentChanges(allEntities[index], nameComponent)
                }
            } else {
                if (this.hasComponent(allEntities[index], "minecraft:nameable")) {
                    let nameComponent = this.createComponent(allEntities[index], "minecraft:nameable");
                    let healthComponent = this.getComponent(allEntities[index], "minecraft:health");
                    nameComponent.name = healthComponent.value + "/" + healthComponent.max;
                    this.applyComponentChanges(allEntities[index], nameComponent)
                    this.applyComponentChanges(allEntities[index], healthComponent)
                }

            }
        }
        globalVars.tick = 0;
    }
}

